tt_pattern_xcontext_add(library call)

NAME
tt_pattern_xcontext_add — add an XDR-interpreted byte-array value to this pattern's named context

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_pattern_xcontext_add(
Tt_pattern p,
const char *slotname,
xdrproc_t xdr_proc,
void *value);

DESCRIPTION

The tt_pattern_xcontext_add function adds an XDR-interpreted byte-array value to the values in this pattern's named context.

The p argument is the opaque handle for the pattern involved in this operation. The slotname argument describes the context for this pattern. The xdr_proc argument points to the XDR procedure to be used to serialize the data pointed to by value. The value argument is the data to be serialized.

RETURN VALUE

Upon successful completion, the tt_pattern_xcontext_add function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_UNIMP
    The ToolTalk function called is not implemented.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

TT_ERR_SLOTNAME
    The specified slotname is syntactically invalid.

TT_ERR_XDR
    The XDR procedure failed on the given data, or evaluated to a zero-length expression.

SEE ALSO

Tt/tt_c.h - Tttt_c(5)